Skip to main content
POST
/
creators
/
{creatorUserUuid}
/
posts
/
{uuid}
/
comments
Create a comment on a post for a creator
curl --request POST \
  --url https://api.fanvue.com/creators/{creatorUserUuid}/posts/{uuid}/comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "text": "Hey, thanks so much for the support!"
}
'
{
  "uuid": "550e8400-e29b-41d4-a716-446655440001",
  "text": "Thanks for the kind words!",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Path Parameters

creatorUserUuid
string<uuid>
required
uuid
string<uuid>
required

UUID of the post to comment on

Body

application/json
text
string
required

Comment text content (1–600 characters)

Required string length: 1 - 600

Response

Comment created successfully

uuid
string<uuid>
required

Unique identifier of the created comment

text
string
required

Comment text content

createdAt
string<date-time>
required

Date/time when the comment was created (ISO 8601 format)

updatedAt
string<date-time> | null
required

Date/time when the comment was last updated (ISO 8601 format)